Skip to main content
`Ctrl`+`K`

# DMPlexCreateCoarsePointIS

Creates an `IS` covering the coarse `DM` chart with the fine points as data

## Synopsis

    #include "petscdmplex.h"
    #include "petscdmplextransform.h"
    PetscErrorCode DMPlexCreateCoarsePointIS(DM dm, IS *fpointIS)

Collective

## Input Parameter

- dm - The coarse `DM`

## Output Parameter

- fpointIS - The `IS` of all the fine points which exist in the original coarse mesh

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `IS`, `DMRefine()`, `DMPlexSetRefinementUniform()`, `DMPlexGetSubpointIS()`

## Level

developer

## Location

src/dm/impls/plex/plexrefine.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages